<?php
/*
Plugin Name: WP Click Info
Plugin URI: http://saquery.com/wordpress/wp-click-info/					           
Description: External <a href="admin.php?page=wp-click-info/wp-click-info.php">Blog Link Reports</a>
Version: 1.0
Author: Stephan Ahlf
Author URI: http://saquery.com
*/


	$wpdb->saqClicks = "SAQ_CLICK_STATISTICS";
	$saqClickCheck_db_version = "0.1";
	class wp_click_info{
		function init() {
			global $wpdb;
			$sql="CREATE TABLE IF NOT EXISTS ".$wpdb->saqClicks."(
			REFERER varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
			URL varchar(255) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL,
			CLICKS INT(11) NOT NULL,
			DT DATETIME NOT NULL, 
			UNIQUE (REFERER,URL)
			) ENGINE = MYISAM CHARACTER SET ascii COLLATE ascii_general_ci ";
				require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
				dbDelta($sql);
		}

		function options() {

			global $wpdb;
//			$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");

			?>
				<div class="update-nag"><br>
					<p><strong>Thank you for using WP Click Info! </strong><span style="color:#990000;">If you think this software is useful please support the development with a donation.</span><br>Feel free to contact me for support or feature requests at <a href="http://saquery.com/wordpress/wp-click-info/" >saquery.com/wordpress/wp-click-info/</a> or <a href="mailto:webmaster@saquery.com"> via EMail</a><br>
					</p><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
					
					<input type="hidden" name="cmd" value="_s-xclick">
					<input type="hidden" name="hosted_button_id" value="SQRUU7JKE7KFS">
					<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
					<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/de_DE/i/scr/pixel.gif" width="1" height="1">
					</form>
				</div>
			<div class='wrap'>
				<h2>Top Targets</h2>
				<table style='text-align: left; width: 100%;'>
					<tr>
						<th>Target</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						
				<h2>Top Referrer</h2>
				<table style='text-align: left; width: 100%;'>
					<tr>
						<th>Referrer</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT REFERER, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY REFERER ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->REFERER)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

				<h2>Top Target by Referrer</h2>
				<table style='text-align: left; width: 100%;'>
					<tr>
						<th>Refferer</th>
						<th>Target</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT REFERER, URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY REFERER, URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>$row->REFERER</td>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

				<h2>Top Referrer by Target</h2>
				<table style='text-align: left; width: 100%;'>
					<tr>
						<th>Target</th>
						<th>Refferer</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, REFERER, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL, REFERER ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 30");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->REFERER</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						

			</div>
			<?php
			
		}
		
		function wp_print_scripts(){		
			wp_enqueue_script('jquery');			
		
			$u = plugins_url( '/', __FILE__ )."wp-click-info.js.php";
			$v = '1.0';
			wp_deregister_script( 'wp-click-info' );
			wp_register_script( 'wp-click-info', $u, array(), $v, false);
			wp_enqueue_script('wp-click-info');
		}

		function wp_print_styles() {
			$u = plugins_url( '/', __FILE__ )."wp-click-info.css";			
			wp_register_style('wp-click-info-style', $u);
			wp_enqueue_style( 'wp-click-info-style');
		
		}

		function admin_menu(){
			add_menu_page('WP Click Info', 'WP Click Info', "edit_pages", __FILE__, array('wp_click_info','options'));
			//add_action( 'admin_init', array('wp_click_info','admin_init') );
		}	
		
		
		function saqDashboardClickCheck() {
				global $wpdb;
		?>
			<h2>Top 10 Targets</h2>
			<div class='wrap'>
					<p><strong>Thank you for using WP Click Info! </strong><span style="color:#990000;">If you think this software is useful please support the development with a donation.</span><br>Feel free to contact me for support or feature requests at <a href="http://saquery.com/wordpress/wp-click-info/" >saquery.com/wordpress/wp-click-info/</a> or <a href="mailto:webmaster@saquery.com"> via EMail</a><br>
					</p><form action="https://www.paypal.com/cgi-bin/webscr" method="post">
					
					<input type="hidden" name="cmd" value="_s-xclick">
					<input type="hidden" name="hosted_button_id" value="SQRUU7JKE7KFS">
					<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
					<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110429-1/de_DE/i/scr/pixel.gif" width="1" height="1">
					</form>
				<table style='text-align: left; width: 100%;'>
					<tr>
						<th>Target</th>
						<th>Clicks</th>
						<th>Last Click</th>
					</tr>
					<?php
						$res = $wpdb->get_results("SELECT URL, sum(CLICKS) as CLICKS, max(DT) as DT FROM ".$wpdb->saqClicks." GROUP BY URL ORDER BY CLICKS DESC, DT DESC LIMIT 0 , 10");
						foreach ($res as $row) {
							print "<tr>";
							print "<td>".urldecode($row->URL)."</td>";
							print "<td>$row->CLICKS</td>";
							print "<td class=\"saq-time\">".$row->DT.""."</td>";
							print "</tr>";
						}
					?>	
				</table>						
			</div>
		<?php
		}


		function wp_dashboard_setup() {
			wp_add_dashboard_widget( 'saqDashboardClickCheck', __( 'WP Click Info' ), array('wp_click_info', 'saqDashboardClickCheck') );
		}
	}
	add_action('admin_menu', array('wp_click_info','admin_menu'));
	add_action('wp_print_scripts', array('wp_click_info', 'wp_print_scripts'), 1);
	add_action('wp_print_styles', array('wp_click_info', 'wp_print_styles'));
	add_action('wp_dashboard_setup', array('wp_click_info', 'wp_dashboard_setup'));
	
	if(isset($_GET['activate']) && $_GET['activate'] == 'true')
	add_action('init', array('wp_click_info', 'init'));
?>
